Page MenuHomeSolus

MariaDB provides mytop, but dependencies aren't met
Closed, ResolvedPublic

Description

- Can't locate DBI.pm in @INC (you may need to install the DBI module)
- Can't locate Term/ReadKey.pm in @INC (you may need to install the Term::ReadKey module)

First can be solved by installing perl-dbi, but there is no package for the 2nd.
I'm not sure what else is missing...

Event Timeline

gr00by created this task.Jul 10 2017, 11:31 PM
kyrios123 removed kyrios123 as the assignee of this task.Jul 11 2017, 8:09 AM
kyrios123 added a subscriber: kyrios123.

I have build the missing dependencies.

Next time MariaDB (R2019) is rebuild, the following rundeps should be added :

  • perl-dbd-mysql
  • perl-term-readkey

My VM is undersized to build it + there is a new version available (10.1.25) so it would be better to group all this together.

JoshStrobl triaged this task as Normal priority.Jul 16 2017, 10:20 AM
JoshStrobl edited projects, added Software; removed Lacks Project.
JoshStrobl moved this task from Backlog to Package Fixes on the Software board.
livingsilver94 added a subscriber: livingsilver94.EditedAug 8 2019, 3:08 PM

I'm addressing this while I'm updating MariaDB.